Console API
  1. Images
Console API
  • User
    • User Info
      GET
    • Ssh keys
      GET
  • IAM
    • Add user to user group
      POST
    • Create user group
      POST
    • Get roles
      GET
    • Get all user groups v2
      GET
    • Create user group v2
      PUT
    • Detail user group v2
      GET
    • Update user group v2
      PUT
    • Delete a user group v2
      DELETE
    • Get roles v2
      GET
    • Detail role v2
      GET
    • Delete a Role v2
      DELETE
    • Get user list of all VPCs
      GET
  • Tenant / Regions
    • Get Regions & Tenant info
      GET
    • Get Tenant Info
      GET
  • Project
    • Get project list
      GET
    • Create Project
      POST
    • Detail Project
      GET
    • Delete Project
      DELETE
  • VPC
    • Get VPC List (Tenant Owner)
      GET
    • Get VPC List
      GET
    • Rename VPC
      PUT
    • Create VPC
      POST
    • Delete VPC
      DELETE
    • Get VPC Quota
      GET
    • Check user can create VPC
      POST
    • Get VPCs of User v2
      GET
  • Images
    • Get images
      GET
  • Flavors
    • Get flavors
  • Storage Policy
    • List
  • Instances
    • List
    • Detail
    • Security Group
    • Create instance
    • Power off
    • Reboot
    • Power on
    • Terminate
    • Resize
    • Lock Termination
    • Rename
    • Manage tag
    • Check VPC enable NVME
    • Get Monitor performance url
  • Subnet
    • List
    • Create
    • Rename
    • Delete
    • Manage tags
  • Security group
    • Security Group List
    • Security Group Detail
    • Rule Types
    • Create Security Group
    • Create Rule
    • Apply to private ip
    • Delete Rule
    • Delete security group
    • Manage tag
    • Get application ports
    • Get quota Security Group
  • Floating IP
    • List
    • Allocate
    • Connect to instance
    • Disconnect
    • Release
    • Manage tag
  • Activity Logs
    • List
  • Tags
    • Lists
  • Billing
    • Bill
      • Get bills by date
      • Get Bills by paging
      • Bill Info
      • Bill service types
  • S3
    • Get bucket policy
    • List buckets
    • Get s3 service enabled
  • IP Access
    • API Portal Access Log
  • Metal Cloud
    • Bare Metal Servers
      • List all servers
      • Get server details
      • Get server console URL
      • Create server (V2)
      • Create server (V1)
      • Rename a server (Portal name)
      • Power on a server
      • Power off a server
      • Delete a server
    • Subnets
      • Get an available subnet
      • Create a subnet
      • List all subnets
      • Delete a subnet
      • Update a subnet
    • Network ACLs
      • List all network ACLs
      • Update a network ACL
      • Get a network ACL details
      • List all rule groups of a Network ACL
      • List all rules of a group (Network ACL)
      • Update a rule of a network ACL
    • OS images
      • List all public images
      • List all custom images
      • Upload a new custom image to S3
      • Get presigned upload URLs
      • Upload a custom image from S3 to FPT image repository
      • Delete a custom image
      • Sync an image to Console (Portal)
    • Server flavors
      • Quota list
      • Get list server flavors
  • Storage Disk
    • Create Storage Disk
    • List Storages
    • Update
    • Create snapshot
    • Tagging
    • Attach
    • Detach
    • Delete
  • Instance Group
    • Create
    • Get policies
    • Get Instance groups
    • Delete
  • Instance Schedule
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • VPN
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • Task
    • Mark as read
  • Edge Gateway
    • Get list edge gateways
  • Schemas
    • Sample Schemas
      • CreateInstanceSchema
      • Pet
      • Category
      • Tag
    • Metal Cloud
      • Request
      • Bare Metal Server details
      • Subscription
      • Package details
      • Image
  1. Images

Get images

GET
/api/v1/vmware/vpc/{vpc_id}/compute/images

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET '/api/v1/vmware/vpc/{{vpc_id}}/compute/images?is_nvme' \
--header 'Accept: application/json' \
--header 'Access-Control-Allow-Origin: *' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "data": [
        {
            "id": "7852f69e-aba5-4734-8465-a7e6940da5e7",
            "name": "CENTOS-6-10",
            "catalog": "CentOS",
            "container_name": "CENTOS-6.10-20210607",
            "display_name": "Centos 6.10",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "166bc3fb-5a3e-4ce6-9fe1-f646ce832716",
            "name": "CENTOS-7.9",
            "catalog": "CentOS",
            "container_name": "CENTOS-7.9-20210607",
            "display_name": "Centos 7.9",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "e09c8e2d-fb44-4a8a-9d31-b040c9e4febd",
            "name": "CENTOS-8",
            "catalog": "CentOS",
            "container_name": "CENTOS-8.3-20210607",
            "display_name": "Centos 8.3",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "0cc6cb5e-3549-48c0-9681-014b4da62217",
            "name": "Oracle-linux-7.9.43",
            "catalog": "CentOS",
            "container_name": "Oracle-7",
            "display_name": "Oracle 7",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "446fb0ff-06b2-4e50-891f-12bedf0f4894",
            "name": "vm-test-vm-qm1upv9g",
            "catalog": "Custom",
            "container_name": "instance-template-1400",
            "display_name": "Instance template",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "98a53e1f-6408-44a6-af89-29b325eec55d",
            "name": "elasticsearch-i4g89qyv",
            "catalog": "Custom",
            "container_name": "instance-template-2045",
            "display_name": "Instance template",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 60
        },
        {
            "id": "e5a1efe6-599d-48ee-82f6-260b6aaa8c16",
            "name": "debian-10",
            "catalog": "Debian",
            "container_name": "DEBIAN-10-20210607",
            "display_name": "Debian 10",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "fa3c4ff4-55b3-4ee9-a818-5a3d136da596",
            "name": "debian-9",
            "catalog": "Debian",
            "container_name": "DEBIAN-9-20210607",
            "display_name": "Debian 9",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "846ecfbd-b12a-40b2-ad74-fdc636e27e1f",
            "name": "Debian-11",
            "catalog": "Debian",
            "container_name": "Debian-11",
            "display_name": "Debian 11",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "0172b260-9e90-4773-a1d8-b18db482c67f",
            "name": "UBUNTU-18",
            "catalog": "Ubuntu",
            "container_name": "UBUNTU-18.04-LTS-20210607",
            "display_name": "Ubuntu 18.04",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "e07e79dd-43c4-417d-9d55-64ae4c4b6f18",
            "name": "UBUNTU-20.04-LTS-20220708",
            "catalog": "Ubuntu",
            "container_name": "UBUNTU-20.04-LTS-20220708",
            "display_name": "Ubuntu 20.04",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "f1dd4ef1-b7a5-458d-82ff-019db71fbd4a",
            "name": "ubuntu-22.04",
            "catalog": "Ubuntu",
            "container_name": "UBUNTU-22.04.4-LTS-20221208",
            "display_name": "Ubuntu 22.04.4",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "45015e1d-2dbb-454d-89d4-5feafc8b1527",
            "name": "Ubuntu-20",
            "catalog": "Ubuntu",
            "container_name": "UBUNTU20.04GPU",
            "display_name": "Ubuntu20.04gpu ",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "63719fdf-1ce1-4785-a0b1-18e7671c46c9",
            "name": "ubuntu-22.04",
            "catalog": "Ubuntu",
            "container_name": "UBUNTU22.04GPU",
            "display_name": "Ubuntu22.04gpu ",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "88c3a164-3d58-4c73-90e4-ea64e88efc84",
            "name": "Ubuntu-16",
            "catalog": "Ubuntu",
            "container_name": "Ubuntu-16.04-LTS-20210607",
            "display_name": "Ubuntu 16.04",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "30b99ea2-2a31-46fe-bdb0-d917ee2e0788",
            "name": "Windows-10",
            "catalog": "Windows",
            "container_name": "Windows 10 Professional",
            "display_name": "Windows 10 professional ",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "2c0c1447-2b10-4a9c-98c7-66eabfa401d3",
            "name": "Windows Server 2016 Datacenter-1607-20220316",
            "catalog": "Windows",
            "container_name": "Windows 2016 Datacenter GPU",
            "display_name": "Windows 2016 datacenter gpu ",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "949e7759-1a4a-4931-a734-d1b208528315",
            "name": "Windows Server 2016 Standard-1607-20220316",
            "catalog": "Windows",
            "container_name": "Windows 2016 Standard GPU",
            "display_name": "Windows 2016 standard gpu ",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "89b76a73-389e-411c-99c2-c8aa9a9fbd89",
            "name": "Windows Server 2019 DataCenter-1809-20220316",
            "catalog": "Windows",
            "container_name": "Windows 2019 Datacenter GPU",
            "display_name": "Windows 2019 datacenter gpu ",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "36071462-bf63-4798-a6e9-e9e1aa6588ae",
            "name": "Windows Server 2019 Standard-1809-20220316",
            "catalog": "Windows",
            "container_name": "Windows 2019 Standard GPU",
            "display_name": "Windows 2019 standard gpu ",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "edcd7e49-a10f-437a-a43f-b6b2aa942f07",
            "name": "Windows Server 2012 Datacenter",
            "catalog": "Windows",
            "container_name": "Windows Server 2012 Datacenter-20210601",
            "display_name": "Windows server 2012 datacenter 20210601",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "f0b7eaf7-2350-40ae-a3f4-74b21fcb9544",
            "name": "Windows Server 2012 Standard",
            "catalog": "Windows",
            "container_name": "Windows Server 2012 Standard-20210601",
            "display_name": "Windows server 2012 standard 20210601",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "df39860b-b4c2-49b3-b6f3-4052f7c38ab6",
            "name": "Windows Server 2016 Datacenter",
            "catalog": "Windows",
            "container_name": "Windows Server 2016 Datacenter-20210601",
            "display_name": "Windows server 2016 datacenter 20210601",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "3f748095-9d63-4d0a-9718-c75c35615097",
            "name": "Windows Server 2016 Standard",
            "catalog": "Windows",
            "container_name": "Windows Server 2016 Standard-20210601",
            "display_name": "Windows server 2016 standard 20210601",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "b7a47d47-9646-4e29-ae98-ece7edde089e",
            "name": "Windows Server 2019 DataCenter",
            "catalog": "Windows",
            "container_name": "Windows Server 2019 DataCenter-20230601",
            "display_name": "Windows server 2019 datacenter 20230601",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "2efa6b52-212f-472c-ab15-ae6ab69d05d6",
            "name": "Windows Server 2019 Datacenter",
            "catalog": "Windows",
            "container_name": "Windows Server 2019 Datacenter-20210601",
            "display_name": "Windows server 2019 datacenter 20210601",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "8e6506bc-552a-4da4-a232-0a417ca65b59",
            "name": "Windows Server 2019 Standard",
            "catalog": "Windows",
            "container_name": "Windows Server 2019 Standard-20210601",
            "display_name": "Windows server 2019 standard 20210601",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "737b0fa2-de04-4f73-920c-0b4e630d2e4c",
            "name": "Windows Server 2019 Standard",
            "catalog": "Windows",
            "container_name": "Windows Server 2019 Standard-20230601",
            "display_name": "Windows server 2019 standard 20230601",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "4481f464-01ff-4052-bbbd-75bf74c32696",
            "name": "Windows Server 2022 Datacenter",
            "catalog": "Windows",
            "container_name": "Windows Server 2022 Datacenter-20230601",
            "display_name": "Windows server 2022 datacenter 20230601",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        },
        {
            "id": "fcd42a96-eab9-444b-98a5-5e3dc1285c8c",
            "name": "Windows Server 2022 Standard",
            "catalog": "Windows",
            "container_name": "Windows Server 2022 Standard-20230601",
            "display_name": "Windows server 2022 standard 20230601",
            "storage_snapshots": null,
            "is_gpu": null,
            "total_storage": 40
        }
    ]
}
Modified at 2025-10-28 09:46:55
Previous
Get VPCs of User v2
Next
Get flavors
Built with